読者です 読者をやめる 読者になる 読者になる

XAMPP for Mac 上にMoodle 2.3 をインストール

Moodle mac

XAMPP は, Apache, PHP, MySQL, FTP などをワンクリックでインストールできるパッケージ. Mac版は Windows / Linux 版より遅れていて, バージョン1.7.3, 2010/03/04. http://www.apachefriends.org/jp/xampp-macosx.html

Moodleは, オープンソースのLMS. 2.3はひとつ前のバージョン. http://www.moodle.org

XAMPP for Mac 上に Moodle 2.3 をインストールしようとしたが, XAMPPはPHP 5.3.1だがMoodle 2.3にはPHP 5.3.2が必要ということでインストーラが止まった.

そこで,
XAMPP beta 1.8.1 [16.10.12 15:44] http://www.apachefriends.org/en/xampp-beta.html
で試してみると, 最低限の条件を満たす, となってインストールはいちおう可能. ただし, PHP Extension intl が欠けていて "check" となる. フォールバックで動作はしているようだが.

これを自分で補おうとすると…けっこうたいへん. XAMPPをリビルドしなきゃいけないみたい.

XAMPP じゃなくて MAMP 使うほうがふつうなのかも.

ちなみに, XAMPP や MAMP をつかってインターネットに公開した実運用はやめよう. あくまでもローカルの開発用. セキュリティアップデートも遅いし. cronの設定とかやり始めると, ワンクリック+GUIでは済まなくなるし.